<?php

namespace lib\Entities;

use lib\Entities\CommonEntity as Entity;
use lib\Models\PointModel as Model;

class PointEntity extends Entity
{
    const PKField = Model::PKField;
    const TitleField = Model::TitleField;
    const PairField = Model::PairField;
    public function __construct($datas)
    {
        parent::__construct($datas);
    } //
    public function getClientCode(): string
    {
        return $this->client_code;
    } //

    public function getType(): string
    {
        return $this->type;
    } //
    public function getAmount(): string
    {
        return $this->amount;
    } //
    public function getNote(): string
    {
        return $this->note;
    } //
} //Class
